示例#1
0
 /// <summary>
 /// Create a RoofType from a user selected Element.
 /// </summary>
 /// <param name="RoofType"></param>
 /// <param name="isRevitOwned"></param>
 /// <returns></returns>
 internal static RoofType FromExisting(Autodesk.Revit.DB.RoofType RoofType, bool isRevitOwned)
 {
     return(new RoofType(RoofType)
     {
         IsRevitOwned = isRevitOwned
     });
 }
示例#2
0
 /// <summary>
 /// Set the RoofType property, element id, and unique id
 /// </summary>
 /// <param name="RoofType"></param>
 private void InternalSetRoofType(Autodesk.Revit.DB.RoofType roofType)
 {
     this.InternalRoofType  = roofType;
     this.InternalElementId = roofType.Id;
     this.InternalUniqueId  = roofType.UniqueId;
 }
示例#3
0
 /// <summary>
 /// Initialize a RoofType element
 /// </summary>
 /// <param name="roofType"></param>
 private void InitRoofType(Autodesk.Revit.DB.RoofType roofType)
 {
     InternalSetRoofType(roofType);
 }
示例#4
0
 /// <summary>
 /// Private constructor for the Element
 /// </summary>
 /// <param name="roofType"></param>
 private RoofType(Autodesk.Revit.DB.RoofType roofType)
 {
     SafeInit(() => InitRoofType(roofType));
 }